class security::firewall {
  include security::firewall::nftables
}

# nftables is the go-to frontend for the kernel netfilter kernel subsystem
class security::firewall::nftables {
  package { 'nftables':
    ensure => installed,
    name   => 'nftables',
  }
  ~> file { default: *=> $security::params::file_defaults;
    '/etc/nftables.conf':
      ensure => present,
      source => 'puppet:///modules/security/firewall/nftables/nftables.conf',
    ;
  }
}
