class security::ssh {
  include security::ssh::server
  include security::ssh::authorized_keys
}

# Drop-in configuration files for the ssh server (sshd)
class security::ssh::server {
  file { default: *=> $security::params::dir_defaults;
    "/etc/ssh/sshd_config.d":
      ensure => directory,
    ;
  }
  ~> file { default: *=> $security::params::file_defaults;
    "/etc/ssh/sshd_config.d/01-sshd-hardening.conf":
      ensure => present,
      source => 'puppet:///modules/security/ssh/01-sshd-hardening.conf',
    ;
  }
}

# Installs publickeys that are permitted to connect via SSH
class security::ssh::authorized_keys {
  file { default: *=> $security::params::ssh_home_dir_mode;
    "/home/c23o/.ssh":
      ensure => directory,
      owner  => 'c23o',
      group  => 'c23o',
    ;
  }
  ~> file { default: *=> $security::params::ssh_auth_keys_mode;
    "/home/c23o/.ssh/authorized_keys":
      ensure => present,
      owner  => 'c23o',
      group  => 'c23o',
      source => 'puppet:///modules/security/ssh/authorized_keys'
    ;
  }
}
